ETTERCAP......ultimate hacker tool..!!

Posted by Shashank Krishna Friday, January 30, 2009


sharethis:

H o m e N e w s D o w n l o a d S t u f f H i s t o r y F o r u m F A Q S c r e e n s h o t s A u t h o r s S e a r c h...




NG-0.7.3 RELEASED !!

Short Description:

Ettercap is a suite for man in the middle attacks on LAN. It features sniffing of live connections, content filtering on the fly and many other interesting tricks.
It supports active and passive dissection of many protocols (even ciphered ones) and includes many feature for network and host analysis.

Interface: All this feature are integrated with a easy-to-use and pleasureful ncurses/gtk interfaces. (see screenshots)
Platform: Linux 2.0.x
Linux 2.2.x
Linux 2.4.x
Linux 2.6.x
FreeBSD 4.x 5.x
OpenBSD 2.[789] 3.x
NetBSD 1.5
Mac OS X (darwin 6.x 7.x)
Windows 2000/XP/2003
Solaris 2.x
Required Libraries: libpcap >= 0.8.1
libnet >= 1.1.2.1
libpthread
zlib
Optional Libraries: To enable plugins: libltdl (part of libtool)
To have perl regexp in the filters: libpcre
To support SSH and SSL decryption: openssl 0.9.7
For the cursed GUI: ncurses >= 5.3
For the GTK+ GUI: pkgconfig >= 0.15.0 and:
- Glib >= 2.4.x
- Gtk+ >= 2.4.x
- Atk >= 1.6.x
- Pango >= 1.4.x
If you want SSH1 and/or HTTPS support, ettercap requires OpenSSL libraries
Installation (Please Read):
  • Please note ettercap 0.6.x is deprecated; please upgrade to 0.7.
  • Binaries are not officially provided or supported - you have to compile it yourself (which can be tricky under Windows) or find a third-party binary provider. The developers are unlikely to be swayed on this.
  • Before installation, please ensure you have the correct versions of the above listed libraries. For the best experience you should have them all. Out-of-date or missing libraries are the most common reason for failure.
  • You need to read the documentation in the tgz before and after running ./configure; make; make install.
  • The command-line switches and the etter.conf have changed from 0.6.x to 0.7. You should read and edit the etter.conf to suit.
  • For HTTPS support you need to uncomment the right 'redir' command in etter.conf.
  • In short, read the docs, read the man pages, read the FAQ, read the forums, and then ask questions. ;)
Running Ettercap:
  • You need to select a user interface (no default) using -T for Text only, -C for the Ncurses based GUI, or -G for the nice GTK2 interface (thanks Daten...).




Before you leave, please promote this article with your favorite bookmarking site using the Share/save button! AND DO please give your valuable comment
Share/Save/Bookmark
Subscribe
Reblog this post [with Zemanta]

Reactions: 
Spread Firefox Affiliate Button | edit post .

0 comments

Post a Comment

Are You Planning on Quitting Facebook? Why?

@Flickr

www.flickr.com

About Me

My Photo
Shashank Krishna
Bangalore, up, India
nothin much to say.........doin B.tech in IIIT allahabad loves bloggingn hacking.... :) and loooves blogging
View my complete profile

ads2

topads